import ADB from "appium-adb";
import { Device } from "appium-grid-common";
export declare class AndroidDevice {
    private device;
    private adb;
    private deviceClient;
    private adbKit;
    private adbUtils;
    constructor(device: Device, adb: ADB);
    getId(): string;
    getAdb(): ADB;
    pushFile(fileToPush: string, destination: string): Promise<void>;
    forwardPort(localPort: string, devicePort: string): Promise<void>;
    private getDeviceClient;
    execLongProcessCommand(args: any[]): Promise<string>;
    execShellCommand(args: string[], timeout?: number): Promise<any>;
    exec(args: string[], timeout?: number): Promise<any>;
    getPidOfProcess(processName: string): Promise<Array<string>>;
}
//# sourceMappingURL=android-device.d.ts.map