/// <reference types="node" />
import { IAppInstallationReciever } from "src/types";
import { EventEmitter } from "stream";
import { AndroidDevice } from "./android-device";
export declare class AndroidApkInstaller extends EventEmitter {
    private device;
    private isInstallationInProgress;
    private installationProc;
    private forceStop;
    constructor(device: AndroidDevice);
    install(app: any, requestId: string, listener: IAppInstallationReciever): Promise<void>;
    stop(): void;
}
//# sourceMappingURL=apk-installer.d.ts.map