/// <reference types="node" />
/// <reference types="node" />
import EventEmitter from "events";
interface optionsType {
    interval: number;
    maxFrames: number;
    timeout: number;
}
export declare class FfmjpegMjpegDecoder extends EventEmitter {
    private url;
    private frame;
    private data;
    private imageStart;
    private imageEnd;
    private seq;
    private options;
    private lastFrameTime;
    private callbackQueue;
    private mjpegRequest;
    private lastFrameBuffer;
    constructor(mjpegUrl: string, options?: optionsType);
    start(): void;
    stop(): void;
    takeSnapshot(): Promise<unknown>;
    onDataReceived(chunk: any): void;
    drainCallbackQueue(err: any, frame?: Buffer): void;
    onFrameReady(frame: Buffer): Promise<void>;
    abort(reason: string, error?: any): void;
    isValidMjpegStream(contentType: string): boolean;
    isScreenUpdated(frame: Buffer): boolean;
}
export {};
//# sourceMappingURL=ffmpeg-mjpeg-decoder.d.ts.map