import { Device } from "appium-grid-common";
export declare class WdaProxy {
    private device;
    private driver;
    private sessionId;
    private started;
    private mjpegPort;
    private wdaPort;
    private sessionActive;
    private lock;
    private goiosClient;
    private wdaProc;
    private wdaError;
    constructor(device: Device);
    isStarted(): boolean;
    createNewSession(options?: {
        wdaBundleId?: string;
    }): Promise<any>;
    startWda(bundleid: string): Promise<boolean>;
    isSessionActive(): Promise<boolean>;
    hasSession(): Promise<boolean>;
    getWdaStatus(): Promise<any>;
    getActiveSessionId(): Promise<any>;
    quit(): Promise<void>;
    getWindowSize(): Promise<any>;
    getWebDriverAgentUrl(): string | undefined;
    getMjpeServerUrl(): string;
    performActions(action: any): Promise<void>;
    performIoHidEvent(action: {
        page: string;
        usage: string;
        duration: any;
    }): Promise<void>;
    rotate(): Promise<void>;
}
//# sourceMappingURL=wda-proxy.d.ts.map