import ADB from "appium-adb";
import { Device } from "appium-grid-common";
import { IDeviceTracker } from "../../types";
declare class DeviceTracker implements IDeviceTracker {
    private adb;
    private initialized;
    private deviceTrackers;
    constructor(adb: ADB);
    initialize(): Promise<void>;
    isInitialized(): boolean;
    onDeviceAdded(cb: (device: Device) => any): IDeviceTracker;
    onDeviceRemoved(cb: (device: Device) => any): IDeviceTracker;
}
export { DeviceTracker };
//# sourceMappingURL=index.d.ts.map