declare class SocketClient {
    private opts;
    private static instance;
    private pluginEventEmitter;
    private config;
    private io;
    private isAlreadyConnected;
    private constructor();
    static initialize(opts: {
        host: string;
        port: number;
    }): SocketClient;
    private static getWebSocketUrl;
    connectToSocketServer(): Promise<void>;
    onSocketReconnected(): void;
    onConnectionSuccess(): void;
    loadControllers(): void;
    onConnectionError(err: Error): void;
}
export { SocketClient };
//# sourceMappingURL=client.d.ts.map