import { DeviceDisplayInfo } from "appium-grid-common";
import { SocketController } from "appium-grid-socket";
import { IAppInstallationReciever, IDeviceLogReciever, IDeviceShellDataReciever, IStreamReciever } from "../../types";
export declare class StreamController extends SocketController implements IStreamReciever, IDeviceLogReciever, IDeviceShellDataReciever, IAppInstallationReciever {
    private remoteDeviceController;
    private streamListenerId;
    initialize(): void;
    private getDeviceController;
    private sendDeviceControlInfo;
    private startStream;
    private stopStream;
    private startLogs;
    private stopLogs;
    private startShell;
    private stopShell;
    private runShellCommand;
    private executeDeviceControllMessage;
    private installApp;
    onStream(opts: {
        deviceId: string;
        frame: ArrayBuffer;
    }): void;
    onDeviceInfo(opts: {
        deviceId: string;
        info: DeviceDisplayInfo;
    }): void;
    onLog(opts: {
        deviceId: string;
        log: string;
    }): void;
    onShellData(opts: {
        deviceId: string;
        log: string;
    }): void;
    onStreamClosed(opts: {
        deviceId: string;
    }): void;
    onInstallationStarted(opts: {
        deviceId: string;
        requestId: string;
    }): void;
    onInstallationLog(opts: {
        deviceId: string;
        log: string;
        requestId: string;
    }): void;
    onAppInstallationComplete(opts: {
        deviceId: string;
        success: boolean;
        requestId: string;
    }): void;
}
//# sourceMappingURL=stream-controller.d.ts.map