/// <reference types="node" />
import { WebdriverCapability } from "appium-grid-common";
import { IDeviceTracker, IRemoteDeviceController } from "src/types";
import { EventEmitter } from "stream";
export declare class RemoteDeviceControlManager {
    private pluginEventEmitter;
    private deviceTracker;
    private controllers;
    constructor(pluginEventEmitter: EventEmitter, deviceTracker: IDeviceTracker);
    private onNewDeviceConnected;
    private onDeviceDisconnected;
    updateCapability(deviceUdid: string, capability: WebdriverCapability): Promise<void>;
    getController(deviceId: string): IRemoteDeviceController | undefined;
    private onProcessKilled;
}
//# sourceMappingURL=index.d.ts.map