/// <reference types="node" />
import BasePlugin from "@appium/base-plugin";
import { Application } from "express";
import { Server } from "http";
declare class AppiumNodePlugin extends BasePlugin {
    private static pluginEventEmitter;
    private static deviceControlManager;
    constructor(pluginName: string);
    static updateServer(expressApp: Application, httpServer: Server): Promise<void>;
    handle(next: () => Promise<any>, driver: any, commandName: string, ...args: any): Promise<any>;
    onNewSession(args: any[], next: any): Promise<any>;
    emit(eventName: string, args: any): void;
    private notifyDeviceUsedForSession;
    private updateSessionCapabilities;
}
export { AppiumNodePlugin };
//# sourceMappingURL=index.d.ts.map