import ADB from "appium-adb";
import { AbortSignal } from "node-abort-controller";
export declare class AdbUtils {
    private adb;
    constructor(adb: ADB);
    getDeviceProperty(udid: string, propertyName?: string): Promise<import("appium-adb").ExecResult>;
    getDeviceProps(udid: string): Promise<Record<string, string>>;
    waitBootComplete(udid: string, signal: AbortSignal): Promise<boolean | undefined>;
    getTotalMemory(deviceId: string): Promise<any>;
    getTotalCpu(deviceId: string): Promise<any>;
    runLongShellCommand(deviceUdid: string, command: any[]): Promise<string>;
}
//# sourceMappingURL=adb-utils.d.ts.map